<template>
  <v-app>
    <v-app-bar
      app
      color="primary"
      dark
    >

      <h2>Mi app</h2>

      <v-spacer></v-spacer>

      <v-btn
        v-if="ruta !== 'login'"
        text
        to="/"
      >
        <span class="mr-2">Login</span>
        <v-icon>fas fa-sign-in-alt</v-icon>
      </v-btn>
      <v-btn
        v-else
        text
        to="/signin"
      >
        <span class="mr-2">Registro</span>
        <v-icon>fas fa-sign-in-alt</v-icon>
      </v-btn>
    </v-app-bar>

    <v-content>
      <v-container
        class="fill-height"
        fluid
      >
        <v-row
          align="center"
          justify="center"
        >
          <v-col cols="12">
            <alert />
            <snackbar />
            <router-view />
          </v-col>
        </v-row>
      </v-container>
    </v-content>
  </v-app>
</template>

<script>
import Alert from '../components/comun/Alert'
import Snackbar from '../components/comun/Snackbar'
export default {
  name: 'App',

  components: {
    Alert,
    Snackbar
  },
  computed: {
    ruta () {
      return this.$route.name
    }
  }
};
</script>
